import os

from defence360agent.utils import append_with_newline

CSF_FIGNORE = "/etc/csf/csf.fignore"


def migrate(migrator, database, fake=False, **kwargs):
    if (not fake) and os.path.isfile(CSF_FIGNORE):
        append_with_newline(CSF_FIGNORE, "/tmp/.vdserver\n")


def rollback(migrator, database, fake=False, **kwargs):
    pass
